aboutsummaryrefslogtreecommitdiff
path: root/scripts/record-application-name.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/record-application-name.sh')
-rwxr-xr-xscripts/record-application-name.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/scripts/record-application-name.sh b/scripts/record-application-name.sh
new file mode 100755
index 0000000..0411781
--- /dev/null
+++ b/scripts/record-application-name.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+window=$(xdotool selectwindow)
+window_name=$(xdotool getwindowclassname "$window" || xdotool getwindowname "$window" || echo "game")
+window_name="$(echo "$window_name" | tr '/\\' '_')"
+gpu-screen-recorder -w "$window" -f 60 -a "$(pactl get-default-sink).monitor" -o "$HOME/Videos/recording/$window_name/$(date +"Video_%Y-%m-%d_%H-%M-%S.mp4")"